> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Pinned Messages

> Get the <a href='https://docs.rocket.chat/docs/message-actions#pin-messages' target='_blank'>pinned messages</a> of a room. 

### Changelog
| Version      | Description | 
| ---------------- | ------------|
| 2.0.0           | Added       |

## OpenAPI

````json GET /api/v1/chat.getPinnedMessages
{
  "openapi": "3.0.0",
  "info": {
    "version": "1.0.0",
    "title": "Messaging"
  },
  "servers": [
    {
      "url": "https://apiexplorer.support.rocket.chat"
    }
  ],
  "tags": [
    {
      "name": "Chat"
    },
    {
      "name": "DM"
    },
    {
      "name": "Auto-Translate"
    }
  ],
  "paths": {
    "/api/v1/chat.getPinnedMessages": {
      "get": {
        "tags": [
          "Chat"
        ],
        "summary": "Get Pinned Messages",
        "description": "Get the <a href='https://docs.rocket.chat/docs/message-actions#pin-messages' target='_blank'>pinned messages</a> of a room. \n\n### Changelog\n| Version      | Description | \n| ---------------- | ------------|\n| 2.0.0           | Added       |",
        "operationId": "get-api-v1-chat.getPinnedMessages",
        "parameters": [
          {
            "$ref": "#/components/parameters/Auth-Token"
          },
          {
            "$ref": "#/components/parameters/UserId"
          },
          {
            "$ref": "#/components/parameters/RoomId"
          },
          {
            "$ref": "#/components/parameters/offset"
          },
          {
            "$ref": "#/components/parameters/count"
          },
          {
            "$ref": "#/components/parameters/sort"
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "messages": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "_id": {
                            "type": "string"
                          },
                          "rid": {
                            "type": "string"
                          },
                          "msg": {
                            "type": "string"
                          },
                          "ts": {
                            "type": "string"
                          },
                          "u": {
                            "type": "object",
                            "properties": {
                              "_id": {
                                "type": "string"
                              },
                              "username": {
                                "type": "string"
                              },
                              "name": {
                                "type": "string"
                              }
                            }
                          },
                          "_updatedAt": {
                            "type": "string"
                          },
                          "urls": {
                            "type": "array",
                            "items": {
                              "type": "object"
                            }
                          },
                          "mentions": {
                            "type": "array",
                            "items": {
                              "type": "object"
                            }
                          },
                          "channels": {
                            "type": "array",
                            "items": {
                              "type": "object"
                            }
                          },
                          "md": {
                            "type": "array",
                            "items": {
                              "type": "object",
                              "properties": {
                                "type": {
                                  "type": "string"
                                },
                                "value": {
                                  "type": "array",
                                  "items": {
                                    "type": "object",
                                    "properties": {
                                      "type": {
                                        "type": "string"
                                      },
                                      "value": {
                                        "type": "string"
                                      }
                                    }
                                  }
                                }
                              }
                            }
                          },
                          "pinned": {
                            "type": "boolean"
                          },
                          "pinnedAt": {
                            "type": "string"
                          },
                          "pinnedBy": {
                            "type": "object",
                            "properties": {
                              "_id": {
                                "type": "string"
                              },
                              "username": {
                                "type": "string"
                              }
                            }
                          },
                          "reactions": {
                            "type": "object",
                            "properties": {
                              ":smile:": {
                                "type": "object",
                                "properties": {
                                  "usernames": {
                                    "type": "array",
                                    "items": {
                                      "type": "string"
                                    }
                                  }
                                }
                              }
                            }
                          },
                          "starred": {
                            "type": "array",
                            "items": {
                              "type": "object"
                            }
                          },
                          "replies": {
                            "type": "array",
                            "items": {
                              "type": "string"
                            }
                          },
                          "tcount": {
                            "type": "integer"
                          },
                          "tlm": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    "count": {
                      "type": "integer"
                    },
                    "offset": {
                      "type": "integer"
                    },
                    "total": {
                      "type": "integer"
                    },
                    "success": {
                      "type": "boolean"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "messages": [
                        {
                          "_id": "ycHhPqyoN2BZHt3Ag",
                          "rid": "6GFJ3tbmHiyHbahmC",
                          "msg": "ekaara",
                          "ts": "2023-02-25T16:08:30Z",
                          "u": {
                            "_id": "rbAXPnMktTFbNpwtJ",
                            "username": "roxie",
                            "name": "test test"
                          },
                          "_updatedAt": "2023-10-16T23:30:58.917Z",
                          "urls": [],
                          "mentions": [],
                          "channels": [],
                          "md": [
                            {
                              "type": "PARAGRAPH",
                              "value": [
                                {
                                  "type": "PLAIN_TEXT",
                                  "value": "ekaara"
                                }
                              ]
                            }
                          ],
                          "pinned": "true",
                          "pinnedAt": "2023-10-16T23:30:58.917Z",
                          "pinnedBy": {
                            "_id": "rbAXPnMktTFbNpwtJ",
                            "username": "roxie"
                          }
                        },
                        {
                          "_id": "Ay9jYg48gzjfpy7pk",
                          "rid": "6GFJ3tbmHiyHbahmC",
                          "msg": "wassup",
                          "ts": "2023-10-05T19:10:10.055Z",
                          "u": {
                            "_id": "5fRTXMt7DMJbpPJfh",
                            "username": "test.john",
                            "name": "Testtest"
                          },
                          "_updatedAt": "2023-10-16T23:30:42.393Z",
                          "urls": [],
                          "mentions": [],
                          "channels": [],
                          "md": [
                            {
                              "type": "PARAGRAPH",
                              "value": [
                                {
                                  "type": "PLAIN_TEXT",
                                  "value": "wassup"
                                }
                              ]
                            }
                          ],
                          "pinned": "true",
                          "pinnedAt": "2023-10-16T23:30:42.393Z",
                          "pinnedBy": {
                            "_id": "rbAXPnMktTFbNpwtJ",
                            "username": "roxie"
                          }
                        },
                        {
                          "_id": "NZieMNQDEdMDmLLip",
                          "rid": "6GFJ3tbmHiyHbahmC",
                          "msg": "hola",
                          "ts": "2023-10-05T20:30:51.052Z",
                          "u": {
                            "_id": "rbAXPnMktTFbNpwtJ",
                            "username": "roxie",
                            "name": "test test"
                          },
                          "_updatedAt": "2023-10-16T22:57:27.362Z",
                          "urls": [],
                          "mentions": [],
                          "channels": [],
                          "md": [
                            {
                              "type": "PARAGRAPH",
                              "value": [
                                {
                                  "type": "PLAIN_TEXT",
                                  "value": "hola"
                                }
                              ]
                            }
                          ],
                          "reactions": {
                            ":smile:": {
                              "usernames": [
                                "test.test"
                              ]
                            }
                          },
                          "starred": [],
                          "pinned": "true",
                          "pinnedAt": "2023-10-05T20:59:44.433Z",
                          "pinnedBy": {
                            "_id": "5fRTXMt7DMJbpPJfh",
                            "username": "test.test"
                          },
                          "replies": [
                            "rbAXPnMktTFbNpwtJ"
                          ],
                          "tcount": "2",
                          "tlm": "2023-10-16T22:57:27.158Z"
                        }
                      ],
                      "count": "3",
                      "offset": "0",
                      "total": "3",
                      "success": "true"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "$ref": "#/components/responses/authorizationError"
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean"
                    },
                    "error": {
                      "type": "string"
                    },
                    "errorType": {
                      "type": "string"
                    }
                  }
                },
                "examples": {
                  "Example 1": {
                    "value": {
                      "success": "false",
                      "error": "The required \"roomId\" query param is missing. [error-roomId-param-not-provided]",
                      "errorType": "error-roomId-param-not-provided"
                    }
                  },
                  "Incorrect room ID": {
                    "value": {
                      "success": "false",
                      "error": "Not allowed [error-not-allowed]",
                      "errorType": "error-not-allowed"
                    }
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "parameters": {
      "Auth-Token": {
        "name": "X-Auth-Token",
        "in": "header",
        "description": "The `authToken` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f"
      },
      "UserId": {
        "name": "X-User-Id",
        "in": "header",
        "description": "The `userId` of the authenticated user.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "rbAXPnMktTFbNpwtJ"
      },
      "RoomId": {
        "name": "roomId",
        "in": "query",
        "description": "The room ID.",
        "required": "true",
        "schema": {
          "type": "string"
        },
        "example": "6GFJ3tbmHiyHbahmC"
      },
      "offset": {
        "name": "offset",
        "in": "query",
        "description": "Number of items to \"skip\" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.",
        "required": "false",
        "schema": {
          "type": "integer"
        },
        "example": "50"
      },
      "count": {
        "name": "count",
        "in": "query",
        "description": "The number of items to return.  Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.",
        "required": "false",
        "schema": {
          "type": "integer"
        },
        "example": "50"
      },
      "sort": {
        "name": "sort",
        "in": "query",
        "description": "List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, `{ \"value\": -1, \"_id\": 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.",
        "required": "false",
        "schema": {}
      }
    },
    "responses": {
      "authorizationError": {
        "description": "Unauthorized",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "status": {
                  "type": "string"
                },
                "message": {
                  "type": "string"
                }
              }
            },
            "examples": {
              "Authorization Error": {
                "value": {
                  "status": "error",
                  "message": "You must be logged in to do this."
                }
              }
            }
          }
        }
      }
    }
  }
}
````

